AuthSchemeBase (HttpClient 3.1 API)
Keywords: org.apache.commons.httpclient.auth.AuthSchemeBase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.httpclient.auth
Class AuthSchemeBase

    java.lang.Object
      org.apache.commons.httpclient.auth.AuthSchemeBase

All Implemented Interfaces:
  AuthScheme

Deprecated. No longer used

    public abstract class AuthSchemeBase

extends Object
implements AuthScheme

Abstract authentication scheme class that implements `AuthScheme` interface and provides a default contstructor.

Author:
  Oleg Kalnichevski

Constructor Summary
`AuthSchemeBase(String challenge)` Deprecated. Use parameterless constructor and `AuthScheme.processChallenge(String)` method

Method Summary
`boolean` | `equals(Object obj)` Deprecated.
`int` | `hashCode()` Deprecated.
`String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.commons.httpclient.auth.AuthScheme
`authenticate, authenticate, getID, getParameter, getRealm, getSchemeName, isComplete, isConnectionBased, processChallenge`

Constructor Detail

### AuthSchemeBase

    public AuthSchemeBase(String challenge)
                   throws MalformedChallengeException

  Deprecated. Use parameterless constructor and `AuthScheme.processChallenge(String)` method

  Constructor for an abstract authetication schemes.

  Parameters:
    `challenge` - authentication challenge
  Throws:
    `MalformedChallengeException` - is thrown if the authentication challenge is malformed

Method Detail

### equals

    public boolean equals(Object obj)

  Deprecated.
  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(Object)`

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.